Subject: Re: parent-filter loses my merged branch -- what am I doing wrong?

From: Johannes Sixt <[email-masked]>
Date: Mon, 19 Jan 2009 09:41:27 +0100

Ask Bjørn Hansen schrieb:
> On Sam Villain's recommendation I'm spending a bit of time cleaning up
> the branches and merges with git filter-branch, but I don't think I'm
> quite understanding how it's supposed to work.

Don't use --parent-filter for this; use grafts. You can see the history in
gitk right away. Later run filter-branch without a filter (except perhaps
the tag-name-filter).

-- Hannes